from __future__ import print_function
import pytest
from virgotools.everything import *
try:
    import virgotools.pvt_internal_defaults as defaults
except ImportError:
    import virgotools.pvt_external_defaults as defaults

all_vpm = [VPM(i) for i in defaults.VPM_alias]

def test_parse_all_acl():
    vpm_instance = VPM('DAQ')
    for proc in vpm_instance.procs.values():
        if 'acl' in proc.app.name.lower():
            print(proc.name)
            s = AclServer(proc.config)

@pytest.mark.parametrize('vpm_instance', all_vpm)
def test_parse_all_vpm(vpm_instance):
    for proc in vpm_instance.procs.values():
        print(proc.name)
        try:
            for _ in parse_config_iter(proc.config):
                pass
        except Exception as err:
            print('Error for', proc.name, err)
